CameraPoseWriter Class Reference

CameraPoseWriter writes all camera poses computed by the KinfuTracker to a file on disk. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/tools/camera_pose.h>`

Inheritance diagram for CameraPoseWriter:

## Public Member Functions

| CameraPoseWriter (std::string output_filename)
| ~CameraPoseWriter ()
void | processPose (const Eigen::Affine3f &pose)
| process the camera pose, this method is called at every frame. More...
Public Member Functions inherited from CameraPoseProcessor
virtual | ~CameraPoseProcessor ()

## Detailed Description

CameraPoseWriter writes all camera poses computed by the KinfuTracker to a file on disk.

Definition at line 67 of file camera_pose.h.

## Constructor & Destructor Documentation

## CameraPoseWriter()

CameraPoseWriter::CameraPoseWriter | ( | std::string | output_filename | ) |

inline

Parameters

  output_filename | name of file to write

Definition at line 75 of file camera_pose.h.

## ~CameraPoseWriter()

CameraPoseWriter::~CameraPoseWriter | ( |  | ) |

inline

Definition at line 81 of file camera_pose.h.

## Member Function Documentation

## processPose()

void CameraPoseWriter::processPose | ( | const Eigen::Affine3f & | pose | ) |

inline virtual

process the camera pose, this method is called at every frame.

Implements CameraPoseProcessor.

Definition at line 91 of file camera_pose.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/tools/camera_pose.h